Package com.sun.mail.imap.protocol

# Class BASE64MailboxDecoder

java.lang.Object
com.sun.mail.imap.protocol.BASE64MailboxDecoder

public class BASE64MailboxDecoder extends Object
See the BASE64MailboxEncoder for a description of the RFC2060 and how mailbox names should be encoded. This class will do the correct decoding for mailbox names.

Author:
  Christopher Cotton

## Constructor Summary

Constructors
Constructor
Description
`BASE64MailboxDecoder()`

## Method Summary

Modifier and Type
Method
Description
`protected static int`
`base64decode(char[] buffer, int offset, CharacterIterator iter)`
`static String`
`decode(String original)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BASE64MailboxDecoder

public BASE64MailboxDecoder()

## Method Details

### decode

public static String decode(String original)

### base64decode

protected static int base64decode(char[] buffer, int offset, CharacterIterator iter)